using System.ComponentModel;

namespace YBEE.EQM.Core;

/// <summary>
/// 职位
/// </summary>
public enum SchoolJobTitle
{
    /// <summary>
    /// 未知
    /// </summary>
    [Description("未知")]
    UNKNOWN = 0,
    /// <summary>
    /// 校长
    /// </summary>
    [Description("校长")]
    PRINCIPAL = 1,
    /// <summary>
    /// 副校长
    /// </summary>
    [Description("副校长")]
    VICE_PRINCIPAL = 2,
    /// <summary>
    /// 书记
    /// </summary>
    [Description("书记")]
    SECRETARY = 3,
    /// <summary>
    /// 副书记
    /// </summary>
    [Description("副书记")]
    VICE_SECRETARY = 4,
    /// <summary>
    /// 教务主任
    /// </summary>
    [Description("教务主任")]
    DEAN_ACADEMIC_AFFAIRS = 5,
    /// <summary>
    /// 教务副主任
    /// </summary>
    [Description("教务副主任")]
    ASSISTANT_DEAN_ACADEMIC_AFFAIRS = 6,
    /// <summary>
    /// 教师
    /// </summary>
    [Description("教师")]
    TEACHER = 7,
    /// <summary>
    /// 行政
    /// </summary>
    [Description("行政")]
    ADMINISTER = 8,
    /// <summary>
    /// 后勤
    /// </summary>
    [Description("后勤")]
    LOGISTICS = 9,
    /// <summary>
    /// 其他
    /// </summary>
    [Description("其他")]
    OTHER = 99,
}
